#include "Panda.hpp"
#include <raylib.h>
#include <cmath>

double panda::distance(const Vector2 &p1, const Vector2 &p2)
{
  double dx = p1.x - p2.x;
  double dy = p1.y - p2.y;
  return dx * dx + dy * dy;
}

double panda::distanceSqrt(const Vector2 &p1, const Vector2 &p2)
{
  double dx = p1.x - p2.x;
  double dy = p1.y - p2.y;
  return std::sqrt(dx * dx + dy * dy);
}

double panda::distanceManhattan(const Vector2 &p1, const Vector2 &p2)
{
  return std::abs(p1.x - p2.x) + std::abs(p1.y - p2.y);
}